## unworkable 0.51

=== SConstruct ===
# scons (http://www.scons.org) build for non-OpenBSD systems
# on OpenBSD, just type 'make'.
# $Id: SConstruct,v 1.17 2008/09/09 05:42:13 niallo Exp $

import sys

SRCS = ['announce.c', 'bencode.c', 'buf.c', 'ctl_server.c', 'main.c', 'network.c', 'parse.y', 'progressmeter.c', \
        'scheduler.c', 'torrent.c', 'trace.c', 'util.c', 'xmalloc.c']
LIBS =  ['event', 'crypto']
LIBPATH = ['/usr/lib', '/usr/local/lib']
CPPPATH = ['/usr/include', '/usr/local/include']
CCFLAGS = ['-Wall', '-Wstrict-prototypes', '-Wmissing-prototypes', '-Wmissing-declarations', '-Wshadow', '-Wpointer-arith', '-Wcast-qual', '-Wsign-compare', '-g', '-ggdb']

# Assume this is Solaris with packages from www.sunfreeware.com
if sys.platform.startswith('sunos'):
	SRCS.append('openbsd-compat/err.c')
	SRCS.append('openbsd-compat/errx.c')
	SRCS.append('openbsd-compat/warn.c')
	SRCS.append('openbsd-compat/warnx.c')
	SRCS.append('openbsd-compat/verr.c')
	SRCS.append('openbsd-compat/verrx.c')
	SRCS.append('openbsd-compat/vwarnx.c')
	SRCS.append('openbsd-compat/vwarn.c')
	CPPPATH.append('/usr/local/ssl/include')
	CPPPATH.append('openbsd-compat/')
	LIBPATH.append('/usr/local/ssl/lib')
	LIBPATH.append('/usr/ucblib')
	LIBS.append('socket')
	LIBS.append('nsl')
	LIBS.append('ucb')
	CCFLAGS.append('-DNO_ERR')

# Assume this is Mac OS X with macports, so stuff is under /opt
elif sys.platform.startswith('darwin'):
	LIBPATH.append('/opt/local/lib')
	CPPPATH.append('/opt/local/include')

# Explicitly make off_t 64bit on Linux
elif sys.platform.startswith('linux'):
	CCFLAGS.append('-D_FILE_OFFSET_BITS=64')

env = Environment(LIBPATH=LIBPATH, CPPPATH=CPPPATH)
conf = Configure(env)

if not conf.CheckType('u_int8_t', '#include <sys/types.h>\n'):
	CCFLAGS.append('-Du_int8_t=unsigned char')

if not conf.CheckType('u_int32_t', '#include <sys/types.h>\n'):
	CCFLAGS.append('-Du_int32_t=unsigned int')

if not conf.CheckType('u_int64_t', '#include <sys/types.h>\n'):
	CCFLAGS.append('-Du_int64_t=unsigned long long')

if not conf.CheckType('int64_t', '#include <sys/types.h>\n'):
	CCFLAGS.append('-Dint64_t=long long')

if not conf.CheckCHeader('openssl/bn.h'):
	print "No openssl/bn.h found.  Do you have the OpenSSL headers correctly installed?"
	Exit(1)

if not conf.CheckCHeader('openssl/dh.h'):
	print "No openssl/dh.h found.  Do you have the OpenSSL headers correctly installed?"
	Exit(1)

if not conf.CheckCHeader('openssl/engine.h'):
	print "No openssl/engine.h found.  Do you have the OpenSSL headers correctly installed?"
	Exit(1)

if not conf.CheckCHeader('sys/queue.h') or not conf.CheckCHeader('sys/tree.h') \
	or not conf.CheckCHeader('sha1.h'):
	print "Missing some headers, using bundled includes"
	CPPPATH.append('openbsd-compat/')

if not conf.CheckFunc('strlcpy'):
	print "No system strlcpy found.  Using bundled version"
	SRCS.append('openbsd-compat/strlcpy.c')
	conf.env.Append(CCFLAGS = '-DNO_STRLCPY')
	CCFLAGS.append('-DNO_STRLCPY')

if not conf.CheckFunc('strlcat'):
	print "No system strlcat found.  Using bundled version"
	SRCS.append('openbsd-compat/strlcat.c')
	CCFLAGS.append('-DNO_STRLCAT')

if not conf.CheckFunc('strtonum'):
	print "No system strtonum found.  Using bundled version"
	SRCS.append('openbsd-compat/strtonum.c')
	CCFLAGS.append('-DNO_STRTONUM')

if not conf.CheckFunc('SHA1Update'):
	print "No system SHA1Update found.  Using bundled version"
	SRCS.append('openbsd-compat/sha1.c')

if not conf.CheckFunc('getaddrinfo') and not sys.platform.startswith('sunos'):
	print "No system getaddrinfo() found.  Using bundled version"
	SRCS.append('openbsd-compat/getaddrinfo.c')
	CCFLAGS.append('-DNO_GETADDRINFO')

if not conf.CheckLib('crypto'):
	print "OpenSSL crypto library not found on your system.  You can get it at http://www.openssl.org"
	Exit(1)

if not conf.CheckLib('event'):
	print "Libevent not found on your system.  You can get it at http://monkey.org/~provos/libevent/"
	Exit(1)


env = conf.Finish()

env.Program('unworkable', SRCS, LIBS=LIBS, LIBPATH=LIBPATH, CPPPATH=CPPPATH, CCFLAGS=CCFLAGS)

## unworkable 0.53

=== SConstruct ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # scons (http://www.scons.org) build for non-OpenBSD systems
 # on OpenBSD, just type 'make'.
-# $Id: SConstruct,v 1.17 2008/09/09 05:42:13 niallo Exp $
+# $Id: SConstruct,v 1.17 2008-09-09 05:42:13 niallo Exp $
 
 import sys

=== debian/changelog ===
unworkable (0.53-3) unstable; urgency=low

  * Switch to libbsd, patch by Guillem Jover (Closes: #675077)
  * Enable hardening

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 29 May 2012 22:53:34 +0200

unworkable (0.53-2) unstable; urgency=low

  * Update Homepage address (Closes: #670723)
  * Email change: Michael Stapelberg -> stapelberg@debian.org
  * Switch source format to 3.0 (quilt)
  * Add debian/watch
  * Add build-arch, build-indep
  * Bump standards version to 3.9.3
  * Convert debian/changelog to machine-readable copyright specification

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 30 Apr 2012 15:03:59 +0200

unworkable (0.53-1) unstable; urgency=low

  * New upstream version
  * Fixes FTBFS with recent libevent (Closes: #560548)
  * Bump standards version to 3.8.3

 -- Michael Stapelberg <michael@stapelberg.de>  Mon, 21 Dec 2009 23:23:59 +0100

unworkable (0.52-1) unstable; urgency=low

  * New upstream version
  * Fixes FTBFS on GNU/kFreeBSD (Closes: #540137)
  * Bump standards version to 3.8.2

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 01 Sep 2009 00:55:57 +0200

unworkable (0.51-5) unstable; urgency=low

  * Depend on libevent-1.4-2 instead of libevent1 (Closes: #528631)
  * Update standards version to 3.8.1
  * Change maintainer email address, add DM-Upload-Allowed field

 -- Michael Stapelberg <michael@stapelberg.de>  Thu, 14 May 2009 11:29:28 +0200

unworkable (0.51-4) unstable; urgency=low

  * Fix manpage (missing .El)

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Fri, 20 Feb 2009 06:09:23 +0100

unworkable (0.51-3) unstable; urgency=low

  * Fix build dependencies (Thanks to Taniguchi Takaki) (Closes: #503499)
  * Actually call makefile (GNUmakefile) in clean target in debian/rules
    (Thanks to Taniguchi Takaki) (Closes: #512950)

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Thu, 19 Feb 2009 01:30:08 +0100

unworkable (0.51-2) unstable; urgency=low

  * Use correct upstream source

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Sat, 04 Oct 2008 16:10:05 +0200

unworkable (0.51-1) unstable; urgency=low

  * First debian release
  * Closes: #501089

 -- Michael Stapelberg <michael+unworkable@stapelberg.de>  Sat, 04 Oct 2008 02:18:41 +0200

=== debian/control ===
Source: unworkable
Section: net
Priority: optional
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 5), libbsd-dev, libevent-dev, libssl-dev, bison,
 pkg-config, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3.1
Homepage: http://code.google.com/p/unworkable/

Package: unworkable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: efficient, simple and secure bittorrent client
 Unworkable is a BSD-licensed BitTorrent implementation.
 Goals of this project include efficiency, simplicity and high code quality.
 Unworkable is single threaded and asynchronous, written in portable ANSI C
 using libevent and mmap() for performance.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

config.status: configure
	dh_testdir
	touch $@


build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -f GNUmakefile distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/unworkable
	$(MAKE) DESTDIR=$(CURDIR)/debian/unworkable/ install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installdebconf	
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://code.google.com/p/unworkable/downloads/list .*/unworkable-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
